Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1823739

Summary: bodhi fails to build with Sphinx 3.0.0
Product: [Fedora] Fedora Reporter: Charalampos Stratakis <cstratak>
Component: bodhiAssignee: Fedora Infrastructure SIG <infra-sig>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: aurelien, cstratak, infra-sig, jeremy, mhroncok, randy
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-04 23:06:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1831336    
Bug Blocks: 1783776, 1803234    

Description Charalampos Stratakis 2020-04-14 11:28:25 UTC
bodhi fails to build with Sphinx 3.0.0.

/builddir/build/BUILD/bodhi-5.1.1/bodhi/server/models.py:docstring of bodhi.server.models.Bug.url:1:duplicate object description of bodhi.server.models.Bug.url, other instance in developer/docblocks/bodhi.server.models, use :noindex: for one of them

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/cstratak/sphinx_3.0.0/fedora-rawhide-x86_64/01335433-bodhi/

For all our attempts to build bodhi with Sphinx 3.0.0, see:
https://copr.fedorainfracloud.org/coprs/cstratak/sphinx_3.0.0/package/bodhi/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Sphinx 3:
https://copr.fedorainfracloud.org/coprs/cstratak/sphinx_3.0.0/

Let us know here if you have any questions.

Sphinx 3 will be included in Fedora 33. To make that update smoother, we're building the dependent packages in Copr.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Charalampos Stratakis 2020-05-12 14:42:26 UTC
Newest error message:

/builddir/build/BUILD/bodhi-5.3.0/bodhi/messages/schemas/base.py:docstring of bodhi.messages.schemas.base.BuildV1.nvr:1:duplicate object description of bodhi.messages.schemas.base.BuildV1.nvr, other instance in server_api/messages/base, use :noindex: for one of them

Comment 2 Miro Hrončok 2020-06-30 16:31:32 UTC
Sphinx was updated to 3.1.1.

Comment 3 Miro Hrončok 2020-08-04 23:06:56 UTC
The following builds were made after this report was opened: bodhi-5.2.2-2.fc33